libzypp: zypp::ZConfig::Impl Class Reference

libzypp 17.25.10

Classes | Public Member Functions | Public Attributes | Private Types | Private Member Functions | Private Attributes | List of all members
zypp::ZConfig::Impl Class Reference

ZConfig implementation. More...

## Classes
struct | MultiversionMap

## Public Member Functions
| Impl (const Pathname &override_r=Pathname())
| ~Impl ()
MultiversionSpec & | multiversion ()
const MultiversionSpec & | multiversion () const

## Public Attributes
Pathname | _parsedZyppConf
| Remember any parsed zypp.conf. More...
Arch | cfg_arch
Locale | cfg_textLocale
DefaultOption< Pathname > | cfg_cache_path
DefaultOption< Pathname > | cfg_metadata_path
DefaultOption< Pathname > | cfg_solvfiles_path
DefaultOption< Pathname > | cfg_packages_path
Pathname | cfg_config_path
Pathname | cfg_known_repos_path
Pathname | cfg_known_services_path
Pathname | cfg_vars_path
Pathname | cfg_repo_mgr_root_path
Pathname | cfg_vendor_path
Pathname | cfg_multiversion_path
std::string | cfg_kernel_keep_spec
Pathname | locks_file
Pathname | update_data_path
Pathname | update_scripts_path
Pathname | update_messages_path
DefaultOption< std::string > | updateMessagesNotify
bool | repo_add_probe
unsigned | repo_refresh_delay
LocaleSet | repoRefreshLocales
bool | repoLabelIsAlias
bool | download_use_deltarpm
bool | download_use_deltarpm_always
DefaultOption< bool > | download_media_prefer_download
DefaultOption< Pathname > | download_mediaMountdir
int | download_max_concurrent_connections
int | download_min_download_speed
int | download_max_download_speed
int | download_max_silent_tries
int | download_transfer_timeout
Option< DownloadMode > | commit_downloadMode
DefaultOption< bool > | gpgCheck
DefaultOption< TriBool > | repoGpgCheck
DefaultOption< TriBool > | pkgGpgCheck
ResolverFocus | solver_focus
Option< bool > | solver_onlyRequires
Option< bool > | solver_allowVendorChange
Option< bool > | solver_dupAllowDowngrade
Option< bool > | solver_dupAllowNameChange
Option< bool > | solver_dupAllowArchChange
Option< bool > | solver_dupAllowVendorChange
Option< bool > | solver_cleandepsOnRemove
Option< unsigned > | solver_upgradeTestcasesToKeep
DefaultOption< bool > | solverUpgradeRemoveDroppedPackages
Pathname | solver_checkSystemFile
Pathname | solver_checkSystemFileDir
bool | apply_locks_file
target::rpm::RpmInstFlags | rpmInstallFlags
Pathname | history_log_path
Pathname | credentials_global_dir_path
Pathname | credentials_global_file_path
std::string | userData
Option< Pathname > | pluginsPath

## Private Types
typedef std::set< std::string > | MultiversionSpec

## Private Member Functions
MultiversionSpec & | getMultiversion () const

## Private Attributes
MultiversionMap | _multiversionMap

## Detailed Description

ZConfig implementation.

Todo:
  Enrich section and entry definition by some comment (including the default setting and provide some method to write this into a sample zypp.conf.

Definition at line 306 of file ZConfig.cc.

## Member Typedef Documentation

## ◆ MultiversionSpec

typedef std::set<std::string> zypp::ZConfig::Impl::MultiversionSpec
| private

Definition at line 308 of file ZConfig.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::ZConfig::Impl::Impl | ( | const Pathname & | override_r = `Pathname()` | ) |
| inline

Definition at line 311 of file ZConfig.cc.

## ◆ ~Impl()

zypp::ZConfig::Impl::~Impl | ( |  | ) |
| inline

Definition at line 630 of file ZConfig.cc.

## Member Function Documentation

## ◆ multiversion() [1/2]

MultiversionSpec& zypp::ZConfig::Impl::multiversion | ( |  | ) |
| inline

Definition at line 697 of file ZConfig.cc.

## ◆ multiversion() [2/2]

const MultiversionSpec& zypp::ZConfig::Impl::multiversion | ( |  | ) | const
| inline

Definition at line 698 of file ZConfig.cc.

## ◆ getMultiversion()

MultiversionSpec& zypp::ZConfig::Impl::getMultiversion | ( |  | ) | const
| inlineprivate

Definition at line 794 of file ZConfig.cc.

## Member Data Documentation

## ◆ _parsedZyppConf

Pathname zypp::ZConfig::Impl::_parsedZyppConf

Remember any parsed zypp.conf.

Definition at line 635 of file ZConfig.cc.

## ◆ cfg_arch

Arch zypp::ZConfig::Impl::cfg_arch

Definition at line 637 of file ZConfig.cc.

## ◆ cfg_textLocale

Locale zypp::ZConfig::Impl::cfg_textLocale

Definition at line 638 of file ZConfig.cc.

## ◆ cfg_cache_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_cache_path

Definition at line 640 of file ZConfig.cc.

## ◆ cfg_metadata_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_metadata_path

Definition at line 641 of file ZConfig.cc.

## ◆ cfg_solvfiles_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_solvfiles_path

Definition at line 642 of file ZConfig.cc.

## ◆ cfg_packages_path

DefaultOption<Pathname> zypp::ZConfig::Impl::cfg_packages_path

Definition at line 643 of file ZConfig.cc.

## ◆ cfg_config_path

Pathname zypp::ZConfig::Impl::cfg_config_path

Definition at line 645 of file ZConfig.cc.

## ◆ cfg_known_repos_path

Pathname zypp::ZConfig::Impl::cfg_known_repos_path

Definition at line 646 of file ZConfig.cc.

## ◆ cfg_known_services_path

Pathname zypp::ZConfig::Impl::cfg_known_services_path

Definition at line 647 of file ZConfig.cc.

## ◆ cfg_vars_path

Pathname zypp::ZConfig::Impl::cfg_vars_path

Definition at line 648 of file ZConfig.cc.

## ◆ cfg_repo_mgr_root_path

Pathname zypp::ZConfig::Impl::cfg_repo_mgr_root_path

Definition at line 649 of file ZConfig.cc.

## ◆ cfg_vendor_path

Pathname zypp::ZConfig::Impl::cfg_vendor_path

Definition at line 651 of file ZConfig.cc.

## ◆ cfg_multiversion_path

Pathname zypp::ZConfig::Impl::cfg_multiversion_path

Definition at line 652 of file ZConfig.cc.

## ◆ cfg_kernel_keep_spec

std::string zypp::ZConfig::Impl::cfg_kernel_keep_spec

Definition at line 653 of file ZConfig.cc.

## ◆ locks_file

Pathname zypp::ZConfig::Impl::locks_file

Definition at line 654 of file ZConfig.cc.

## ◆ update_data_path

Pathname zypp::ZConfig::Impl::update_data_path

Definition at line 656 of file ZConfig.cc.

## ◆ update_scripts_path

Pathname zypp::ZConfig::Impl::update_scripts_path

Definition at line 657 of file ZConfig.cc.

## ◆ update_messages_path

Pathname zypp::ZConfig::Impl::update_messages_path

Definition at line 658 of file ZConfig.cc.

## ◆ updateMessagesNotify

DefaultOption<std::string> zypp::ZConfig::Impl::updateMessagesNotify

Definition at line 659 of file ZConfig.cc.

## ◆ repo_add_probe

bool zypp::ZConfig::Impl::repo_add_probe

Definition at line 661 of file ZConfig.cc.

## ◆ repo_refresh_delay

unsigned zypp::ZConfig::Impl::repo_refresh_delay

Definition at line 662 of file ZConfig.cc.

## ◆ repoRefreshLocales

LocaleSet zypp::ZConfig::Impl::repoRefreshLocales

Definition at line 663 of file ZConfig.cc.

## ◆ repoLabelIsAlias

bool zypp::ZConfig::Impl::repoLabelIsAlias

Definition at line 664 of file ZConfig.cc.

## ◆ download_use_deltarpm

bool zypp::ZConfig::Impl::download_use_deltarpm

Definition at line 666 of file ZConfig.cc.

## ◆ download_use_deltarpm_always

bool zypp::ZConfig::Impl::download_use_deltarpm_always

Definition at line 667 of file ZConfig.cc.

## ◆ download_media_prefer_download

DefaultOption<bool> zypp::ZConfig::Impl::download_media_prefer_download

Definition at line 668 of file ZConfig.cc.

## ◆ download_mediaMountdir

DefaultOption<Pathname> zypp::ZConfig::Impl::download_mediaMountdir

Definition at line 669 of file ZConfig.cc.

## ◆ download_max_concurrent_connections

int zypp::ZConfig::Impl::download_max_concurrent_connections

Definition at line 671 of file ZConfig.cc.

## ◆ download_min_download_speed

int zypp::ZConfig::Impl::download_min_download_speed

Definition at line 672 of file ZConfig.cc.

## ◆ download_max_download_speed

int zypp::ZConfig::Impl::download_max_download_speed

Definition at line 673 of file ZConfig.cc.

## ◆ download_max_silent_tries

int zypp::ZConfig::Impl::download_max_silent_tries

Definition at line 674 of file ZConfig.cc.

## ◆ download_transfer_timeout

int zypp::ZConfig::Impl::download_transfer_timeout

Definition at line 675 of file ZConfig.cc.

## ◆ commit_downloadMode

Option<DownloadMode> zypp::ZConfig::Impl::commit_downloadMode

Definition at line 677 of file ZConfig.cc.

## ◆ gpgCheck

DefaultOption<bool> zypp::ZConfig::Impl::gpgCheck

Definition at line 679 of file ZConfig.cc.

## ◆ repoGpgCheck

DefaultOption<TriBool> zypp::ZConfig::Impl::repoGpgCheck

Definition at line 680 of file ZConfig.cc.

## ◆ pkgGpgCheck

DefaultOption<TriBool> zypp::ZConfig::Impl::pkgGpgCheck

Definition at line 681 of file ZConfig.cc.

## ◆ solver_focus

ResolverFocus zypp::ZConfig::Impl::solver_focus

Definition at line 683 of file ZConfig.cc.

## ◆ solver_onlyRequires

Option<bool> zypp::ZConfig::Impl::solver_onlyRequires

Definition at line 684 of file ZConfig.cc.

## ◆ solver_allowVendorChange

Option<bool> zypp::ZConfig::Impl::solver_allowVendorChange

Definition at line 685 of file ZConfig.cc.

## ◆ solver_dupAllowDowngrade

Option<bool> zypp::ZConfig::Impl::solver_dupAllowDowngrade

Definition at line 686 of file ZConfig.cc.

## ◆ solver_dupAllowNameChange

Option<bool> zypp::ZConfig::Impl::solver_dupAllowNameChange

Definition at line 687 of file ZConfig.cc.

## ◆ solver_dupAllowArchChange

Option<bool> zypp::ZConfig::Impl::solver_dupAllowArchChange

Definition at line 688 of file ZConfig.cc.

## ◆ solver_dupAllowVendorChange

Option<bool> zypp::ZConfig::Impl::solver_dupAllowVendorChange

Definition at line 689 of file ZConfig.cc.

## ◆ solver_cleandepsOnRemove

Option<bool> zypp::ZConfig::Impl::solver_cleandepsOnRemove

Definition at line 690 of file ZConfig.cc.

## ◆ solver_upgradeTestcasesToKeep

Option<unsigned> zypp::ZConfig::Impl::solver_upgradeTestcasesToKeep

Definition at line 691 of file ZConfig.cc.

## ◆ solverUpgradeRemoveDroppedPackages

DefaultOption<bool> zypp::ZConfig::Impl::solverUpgradeRemoveDroppedPackages

Definition at line 692 of file ZConfig.cc.

## ◆ solver_checkSystemFile

Pathname zypp::ZConfig::Impl::solver_checkSystemFile

Definition at line 694 of file ZConfig.cc.

## ◆ solver_checkSystemFileDir

Pathname zypp::ZConfig::Impl::solver_checkSystemFileDir

Definition at line 695 of file ZConfig.cc.

## ◆ apply_locks_file

bool zypp::ZConfig::Impl::apply_locks_file

Definition at line 700 of file ZConfig.cc.

## ◆ rpmInstallFlags

target::rpm::RpmInstFlags zypp::ZConfig::Impl::rpmInstallFlags

Definition at line 702 of file ZConfig.cc.

## ◆ history_log_path

Pathname zypp::ZConfig::Impl::history_log_path

Definition at line 704 of file ZConfig.cc.

## ◆ credentials_global_dir_path

Pathname zypp::ZConfig::Impl::credentials_global_dir_path

Definition at line 705 of file ZConfig.cc.

## ◆ credentials_global_file_path

Pathname zypp::ZConfig::Impl::credentials_global_file_path

Definition at line 706 of file ZConfig.cc.

## ◆ userData

std::string zypp::ZConfig::Impl::userData

Definition at line 708 of file ZConfig.cc.

## ◆ pluginsPath

Option<Pathname> zypp::ZConfig::Impl::pluginsPath

Definition at line 710 of file ZConfig.cc.

## ◆ _multiversionMap

MultiversionMap zypp::ZConfig::Impl::_multiversionMap
| mutableprivate

Definition at line 797 of file ZConfig.cc.

The documentation for this class was generated from the following file:

- zypp/ZConfig.cc